## OobsStaticHost

OobsStaticHost — Object that represents an individual static host settings

## Functions

OobsStaticHost * | oobs_static_host_new ()
const gchar * | oobs_static_host_get_ip_address ()
void | oobs_static_host_set_ip_address ()
GList * | oobs_static_host_get_aliases ()
void | oobs_static_host_set_aliases ()

## Properties

char * | ip-address | Read / Write

## Object Hierarchy

        GObject
        ╰── OobsStaticHost

## Description

## Functions

### oobs_static_host_new ()

    OobsStaticHost *
    oobs_static_host_new (const gchar *ip_address,
                          GList *aliases);

Returns a new OobsStaticHost defining both the IP address and the list of hostnames that will point to the IP address.

#### Parameters

ip_address | IP address for the static host. |
aliases | GList of aliases to ip_address. |

#### Returns

A new OobsStaticHost.

### oobs_static_host_get_ip_address ()

    const gchar *
    oobs_static_host_get_ip_address (OobsStaticHost *static_host);

Returns the static host IP address.

#### Parameters

static_host | An OobsStaticHost. |

#### Returns

A pointer to the static host IP address as a string. This string must not be freed, modified or stored.

### oobs_static_host_set_ip_address ()

    void
    oobs_static_host_set_ip_address (OobsStaticHost *static_host,
                                     const gchar *ip_address);

Sets the IP address of static_host to be ip_address, overwriting the previous one.

#### Parameters

static_host | An OobsStaticHost. |
ip_address | A new IP address for static_host |

### oobs_static_host_get_aliases ()

    GList *
    oobs_static_host_get_aliases (OobsStaticHost *static_host);

Returns the hostname aliases for the static_host IP address. The returned list must be freed with `g_list_free()`.

#### Parameters

static_host | An OobsStaticHost. |

#### Returns

A GList of gchar pointers containing the host aliases.

### oobs_static_host_set_aliases ()

    void
    oobs_static_host_set_aliases (OobsStaticHost *static_host,
                                  GList *aliases);

Sets a new list of aliases for the static_host IP address. overwriting the previous one.

#### Parameters

static_host | An OobsStaticHost. |
aliases | a GList of gchar pointers containing the host aliases. |

## Property Details

### The `“ip-address”` property

      “ip-address”               char *

IP address of the static host definition.

Owner: OobsStaticHost

Flags: Read / Write

Default value: NULL

## See Also

OobsHostsConfig